extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var ListadoCabecera = ["Artículo", "Descripción", "Precio", "Precio1", "Precio2","Precio3"]

block contenido
    div.form-row
        div.form-group.col-12.col-lg-4
            div.form-row
                div.form-group.col-12
                    div.card.mb-1
                        div.card-header.py-3.d-flex.flex-row.align-items-center.justify-content-between
                            a(href="#divFiltros",
                                data-toggle="collapse",
                                role="button",
                                aria-expanded="true",
                                aria-controls="divFiltros").d-block
                                h6.m-0.font-weight-bold.text-primary Filtros
                            div.dropdown.no-arrow
                                a(href="#",
                                role="button",
                                data-toggle="dropdown", 
                                aria-haspopup="true", 
                                aria-expanded="false").dropdown-toggle
                                    i.fas.fa-bars.fa-sm.fa-fw.text-gray-400
                                div(aria-labelledby="dropdownMenuLink").dropdown-menu.dropdown-menu-right.shadow.animated--fade-in
                                    a(href="#", (click)="Descargar_Excel()").dropdown-item.h6 
                                        span.fas.fa-file-excel.fa-sm.fa-fw.mr-2.text-gray-400
                                        | Descargar Excel
                        div#divFiltros.card-body.collapse.show 
                            div.form-row                     
                                div.form-group.col-12 
                                    ul(role="tablist").nav.nav-tabs
                                        li.nav-item
                                            a(data-toggle="tab", 
                                                href="#Clasificacion",
                                                role="tab",
                                                aria-controls="Clasificacion",
                                                aria-selected="true")#Clasificacion-tab.font-weight-bold.text.nav-link.active Clasificación
                                        li.nav-item
                                            a(data-toggle="tab", 
                                                href="#Fabricante",
                                                role="tab",
                                                aria-controls="Fabricante",
                                                aria-selected="true")#Fabricante-tab.font-weight-bold.text.nav-link Fabricante
                            div.form-row
                                div.form-group.col-12 
                                    div.tab-content#mvDatos
                                        div(role="tabpanel", aria-labelledby="Clasificacion-tab").tab-pane.fade.show.active#Clasificacion
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Clase'",
                                                                            [data]="tClasificaciones1",
                                                                            [settings]="tConfiguracionClasificacion1", 
                                                                            (onSelect)="SeleccionarClasificacion1($event)",
                                                                            (onDeSelect)="DeseleccionarClasificacion1()",
                                                                            size-select="sm").ControlInput--Multiselect
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Grupo'",
                                                                            [data]="tClasificaciones2",
                                                                            [settings]="tConfiguracionClasificacion2", 
                                                                            (onSelect)="SeleccionarClasificacion2($event)",
                                                                            (onDeSelect)="DeseleccionarClasificacion2()",
                                                                            size-select="sm").ControlInput--Multiselect
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Categoria'",
                                                                            [data]="tClasificaciones3",
                                                                            [settings]="tConfiguracionClasificacion3", 
                                                                            (onSelect)="SeleccionarClasificacion3($event)",
                                                                            (onDeSelect)="DeseleccionarClasificacion3()",
                                                                            size-select="sm").ControlInput--Multiselect
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Subcategoria'",
                                                                            [data]="tClasificaciones4",
                                                                            [settings]="tConfiguracionClasificacion4", 
                                                                            (onSelect)="SeleccionarClasificacion4($event)",
                                                                            (onDeSelect)="DeseleccionarClasificacion4($event)",
                                                                            size-select="sm").ControlInput--Multiselect  
                                        div(role="tabpanel", aria-labelledby="Fabricante-tab").tab-pane.fade#Fabricante
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Fabricante'",
                                                                            [data]="tFabricantes",
                                                                            [settings]="tConfiguracionFabricante", 
                                                                            (onSelect)="SeleccionarFabricantes($event)",
                                                                            (onDeSelect)="DeseleccionarFabricantes()",
                                                                            size-select="sm").ControlInput--Multiselect
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Marca'",
                                                                            [data]="tMarcas",
                                                                            [settings]="tConfiguracionMarca", 
                                                                            (onSelect)="SeleccionarMarcas($event)",
                                                                            (onDeSelect)="DeseleccionarMarca()",
                                                                            size-select="sm").ControlInput--Multiselect
                                            div.form-row   
                                                div.form-group.col-12
                                                    ng-multiselect-dropdown([placeholder]="'Modelo'",
                                                                            [data]="tModelos",
                                                                            [settings]="tConfiguracionModelo", 
                                                                            (onSelect)="SeleccionarModelo($event)",
                                                                            (onDeSelect)="DeseleccionarModelo($event)",
                                                                            size-select="sm").ControlInput--Multiselect  
                        div.card-footer
                            div.row
                                div.col-12.col-lg-6
                                    button(type="button", 
                                        (click)="BuscarArticulos()").btn.btn-sm.btn-primary.btn-block.btn-icon-split
                                        span.icon.text-white-50
                                            i.fas.fa-filter
                                        span.text Filtrar
                                div.col-12.col-lg-6
                                    button(type="button", 
                                        (click)="Limpiar()").btn.btn-sm.btn-secondary.btn-block.btn-icon-split
                                        span.icon.text-white-50
                                            i.fas.fa-broom
                                        span.text Limpiar    
            //- div.form-row
            //-     div.form-group.col-12
            //-         div.card.shadow.mb-2
            //-             div.card-header.py-3.d-flex.flex-row.align-items-center.justify-content-between
            //-                 a(href="#divClaseGraficos",
            //-                     data-toggle="collapse",
            //-                     role="button",
            //-                     aria-expanded="true",
            //-                     aria-controls="divClaseGraficos").d-block
            //-                     h6.m-0.font-weight-bold.text-primary Clase
            //-             div#divClaseGraficos.card-body.collapse.show
            //-                 div.row
            //-                     div.col-12
            //-                         div(ngbRadioGroup,
            //-                             name="rbClaseGraficos",
            //-                             [(ngModel)]="tClasePie",
            //-                             (change)="MostrarGraficoClase()").btn-group.btn-group-toggle
            //-                             label(ngbButtonLabel).btn-primary
            //-                                 input(type="radio",
            //-                                     ngbButton="",
            //-                                     [value]="true")
            //-                                 span.fas.fa-chart-pie
            //-                             label(ngbButtonLabel).btn-primary
            //-                                 input(type="radio",
            //-                                         ngbButton="",
            //-                                         [value]="false")
            //-                                 span.fas.fa-chart-bar
            //-                 div.row
            //-                     div.col-12
            //-                         div(*ngIf="tClasePie===true").chart-pie.pt-4.pb-2
            //-                             canvas(#canvasPieClase="")#canvasPieClase
            //-                         div(*ngIf="tClasePie===false").chart-bar.pt-4.pb-2
            //-                             canvas(#canvasBarraClase="")#canvasBarraClase  
        div.form-group.col-12.col-lg-8
            div.row
                div.form-group.col-12.col-lg-4
                    div.card.border-left-primary.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col.mr-2
                                    div.font-weight-bold.text-primary.mb-1 Cantidad Articulos
                                    div.h6.mb-0.text-gray-800 {{ tArticulos.length | number:'1.0-0' }}
                                div.col-auto
                                    div.fas.fa-calculator.fa-2x.text-gray-300
            div.form-row
                div.form-group.col-4
                    div.ControlInput
                        div.ControlInput--ContenedorIcono
                            span.ControlInput--ContenedorIcono-Icono
                                i.fas.fa-shopping-cart
                        select([(ngModel)]="tFiltroActual",
                            size-select="sm").ControlInput--Select
                            option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
                div.form-group.col-8
                    input(type="text", placeholder="Ingrese busqueda", 
                    [(ngModel)]="tFiltroBusqueda").form-control.form-control-sm
            div(*ngFor="let tArticulo of tArticulos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index").form-row
                div.form-group.col-12
                    div.card.border-left-primary.shadow-sm.h-100
                        div.card-body
                            div.row.no-gutters.align-items-center
                                div.col-auto.mr-2
                                    div.row.no-gutters.mb-2
                                        div.col
                                            img([src]="tArticulo.Url", alt="").img-thumbnail.rounded.Articulo--Item-Imagen
                                div.col
                                    div.row.no-gutters.mb-2
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Artículo: 
                                                span.text-gray-800  [ {{ tArticulo.Codarticulo }} ] {{ tArticulo.Descripcion }}                
                                    div.row.no-gutters.mb-2
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Precio lista: 
                                                span.text-gray-800 {{ tArticulo.Preciolista |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Precio1: 
                                                span.text-gray-800 {{ tArticulo.Precio1 |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}  
                                    div.row.no-gutters.mb-2                                                                 
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Precio2: 
                                                span.text-gray-800 {{ tArticulo.Precio2 |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}
                                        div.col
                                            div.h6
                                                span.font-weight-bold.text-primary Precio3: 
                                                span.text-gray-800 {{ tArticulo.Precio3 |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}        
                                div.col-auto
                                    div.row.no-gutters.mb-2
                                        div.col
                                            button(type="button",
                                                (click)="Descargar_Reportes(tArticulo)").btn.btn-sm.btn-success.btn-block.btn-icon-split
                                                span.icon.text-white-50
                                                    i.fas.fa-file-pdf
                                                span.text Descargar PDF
            div.form-row
                div.form-group.col-12
                    ngb-pagination([collectionSize]="tArticulos.length", 
                        [(page)]="tPagina", 
                        aria-label="Default pagination",
                        [pageSize]="tTamanoPag").d-flex.justify-content-center                                   
        //- div.row
        //-     div.col-12
    //-         div.card
    //-             div.card-header
    //-             div.card-body
    //-                 div.row
    //-                     div.col-12.col-lg-4
    //-                         div.form-row
    //-                             div.form-group.col-12 
    //-                                 ul(role="tablist").nav.nav-tabs
    //-                                     li.nav-item
    //-                                         a(data-toggle="tab", 
    //-                                             href="#Clasificacion",
    //-                                             role="tab",
    //-                                             aria-controls="Clasificacion",
    //-                                             aria-selected="true")#Clasificacion-tab.nav-link.active Clasificación
    //-                                     li.nav-item
    //-                                         a(data-toggle="tab", 
    //-                                             href="#Fabricante",
    //-                                             role="tab",
    //-                                             aria-controls="Fabricante",
    //-                                             aria-selected="true")#Fabricante-tab.nav-link Fabricante
    //-                         div.form-row
    //-                             div.form-group.col-12 
    //-                                 div.tab-content#mvDatos
    //-                                     div(role="tabpanel", aria-labelledby="Clasificacion-tab").tab-pane.fade.show.active#Clasificacion
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Clase'",
    //-                                                                         [data]="tClasificaciones1",
    //-                                                                         [settings]="tConfiguracionClasificacion1", 
    //-                                                                         (onSelect)="SeleccionarClasificacion1($event)",
    //-                                                                         (onDeSelect)="DeseleccionarClasificacion1()",
    //-                                                                         size-select="sm").ControlInput--Multiselect
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Grupo'",
    //-                                                                         [data]="tClasificaciones2",
    //-                                                                         [settings]="tConfiguracionClasificacion2", 
    //-                                                                         (onSelect)="SeleccionarClasificacion2($event)",
    //-                                                                         (onDeSelect)="DeseleccionarClasificacion2()",
    //-                                                                         size-select="sm").ControlInput--Multiselect
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Categoria'",
    //-                                                                         [data]="tClasificaciones3",
    //-                                                                         [settings]="tConfiguracionClasificacion3", 
    //-                                                                         (onSelect)="SeleccionarClasificacion3($event)",
    //-                                                                         (onDeSelect)="DeseleccionarClasificacion3()",
    //-                                                                         size-select="sm").ControlInput--Multiselect
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Subcategoria'",
    //-                                                                         [data]="tClasificaciones4",
    //-                                                                         [settings]="tConfiguracionClasificacion4", 
    //-                                                                         (onSelect)="SeleccionarClasificacion4($event)",
    //-                                                                         (onDeSelect)="DeseleccionarClasificacion4($event)",
    //-                                                                         size-select="sm").ControlInput--Multiselect                               
    //-                                     div(role="tabpanel", aria-labelledby="Fabricante-tab").tab-pane.fade#Fabricante
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Fabricante'",
    //-                                                                         [data]="tFabricantes",
    //-                                                                         [settings]="tConfiguracionFabricante", 
    //-                                                                         (onSelect)="SeleccionarFabricantes($event)",
    //-                                                                         (onDeSelect)="DeseleccionarFabricantes()",
    //-                                                                         size-select="sm").ControlInput--Multiselect
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Marca'",
    //-                                                                         [data]="tMarcas",
    //-                                                                         [settings]="tConfiguracionMarca", 
    //-                                                                         (onSelect)="SeleccionarMarcas($event)",
    //-                                                                         (onDeSelect)="DeseleccionarMarca()",
    //-                                                                         size-select="sm").ControlInput--Multiselect
    //-                                         div.form-row   
    //-                                             div.form-group.col-10.offset-1
    //-                                                 ng-multiselect-dropdown([placeholder]="'Modelo'",
    //-                                                                         [data]="tModelos",
    //-                                                                         [settings]="tConfiguracionModelo", 
    //-                                                                         (onSelect)="SeleccionarModelo($event)",
    //-                                                                         (onDeSelect)="DeseleccionarModelo($event)",
    //-                                                                         size-select="sm").ControlInput--Multiselect
    //-                         div.form-row
    //-                             div.form-group.col-10.offset-1
    //-                                 button(type="button",
    //-                                     (click)="BuscarArticulos()").btn.btn-primary.btn-sm.btn-block
    //-                                     i.fas.fa-filter
    //-                     div.col-12.col-lg-8
    //-                         div.form-row
    //-                             div.form-group.col-4
    //-                                 div.ControlInput
    //-                                     div.ControlInput--ContenedorIcono
    //-                                         span.ControlInput--ContenedorIcono-Icono
    //-                                             i.fas.fa-barcode
    //-                                     select([(ngModel)]="tFiltroActual",
    //-                                         size-select="sm").ControlInput--Select
    //-                                         option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
    //-                             div.form-group.col-7
    //-                                 input(type="text", placeholder="Ingrese busqueda", [(ngModel)]="tFiltroBusqueda", size="sm").ControlInput--Input
    //-                             div.form-group.col-1
    //-                                 button(type="submit").btn.btn-primary
    //-                                     i.fas.fa-search  
    //-                         div.form-row
    //-                             div.form-group.col-12
    //-                                 div(style="overflow:scroll").table-responsive
    //-                                     table.table.table-sm.table-striped.table-hover
    //-                                         thead
    //-                                             tr
    //-                                                 th
    //-                                                 each Cabecera in ListadoCabecera || []
    //-                                                     th
    //-                                                         h6.font-weight-bold=Cabecera
    //-                                         tbody
    //-                                             tr(*ngFor="let tArticulo of tArticulos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
    //-                                                 th
                                                        img([src]="tArticulo.Url", alt="").img-thumbnail.rounded.Articulo--Item-Imagen
                                                    td
                                                        h6 {{ tArticulo.Codarticulo }}
                                                    td
                                                        h6.text-nowrap {{ tArticulo.Descripcion }}
                                                    td
                                                        h6 {{ tArticulo.Preciolista }}
                                                    td
                                                        h6 {{ tArticulo.Precio1 }}
                                                    td
                                                        h6 {{ tArticulo.Precio2 }}
    //-                         div.form-row
    //-                             div.form-group.col-12
    //-                                 ngb-pagination([collectionSize]="tArticulos.length", 
    //-                                                 [(page)]="tPagina", 
    //-                                                 aria-label="Default pagination",
    //-                                                 [pageSize]="tTamanoPag").d-flex.justify-content-center
    //-             div.card-footer.text-right
    //-                 button(type="button", 
    //-                     (click)="Limpiar()").btn.btn-secondary.ml-auto Limpiar
    //-                     i.fas.fa-broom.ml-2